Issue #13253 has been updated by Nobuyoshi Nakada.

Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONTNEED

----------------------------------------
Bug #13253: SIGSEGV in parser_heredoc_dedent()
https://bugs.ruby-lang.org/issues/13253#change-63206

* Author: Kamil Frankowicz
* Status: Closed
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 
* Backport: 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONTNEED
----------------------------------------
After some fuzz testing I found a crashing test case.

Git HEAD: fbd5cda6aad6db01bbca3d893a9970314a1bd52c

To reproduce: miniruby ruby_parse.rb


---Files--------------------------------
ruby_parse.log (6.46 KB)
ruby_parse.rb (8 Bytes)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>